Summary:	Generic Monitor XFce panel plugin (GenMon)	
Name: 		xfce-genmon-plugin
Version: 	2.0
Release: 	%mkrel 2
License:	BSD
URL: 		http://www.xfce.org
Source0: 	xfce4-genmon-plugin-%{version}.tar.bz2
Group:		Graphical desktop/Xfce
BuildRoot: 	%{_tmppath}/%{name}-root
Requires:	xfce-panel >= 4.3.0
BuildRequires:	xfce-panel-devel >= 4.3.0
BuildRequires:	libgdk_pixbuf2.0-devel
 
%description
This plugin cyclically spawns the indicated script/program, captures its 
output (stdout) and displays the resulting string into the panel.

 
%prep
%setup -q -n xfce4-genmon-plugin-%{version}

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std 

# remove unneeded devel files
#rm -f %{buildroot}/%{_libdir}/xfce4/panel-plugins/libgenmon.a

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL README 
%{_libdir}/xfce4/panel-plugins/
%{_datadir}/xfce4/panel-plugins/*

%changelog
* Wed Jul 12 2006 Charles A Edwards <eslrahc@mandriva.org> 2.0-2mdv2007.0
- rebuild for xfce-4.3.90.2
- mkrel

* Sat Feb 11 2005 Marcel Pol <mpol@mandrake> 2.0-1mdk
- 2.0
- require new panel >= 4.3.0

* Sat Jan 22 2005 Marcel Pol <mpol@mandrake.org> 1.1-2mdk
- group: Graphical desktop/Xfce
- remove unneeded devel files
* Fri Nov 19 2004 Charles A Edwards <eslrahc@bellsouth.net> 1.1-1mdk 
- first Mdk release

 
